## iceowl 1.0~b1+dfsg2

=== debian/changelog ===
iceowl (1.0~b1+dfsg2-2+squeeze2) stable-proposed-updates; urgency=low

  * [0e4ac0a] Apply security updates from xulrunner/icedove:
      - MFSA 2011-12 aka CVE-2011-0069, CVE-2011-0070, CVE-2011-0072,
                         CVE-2011-0074, CVE-2011-0075, CVE-2011-0077,
                         CVE-2011-0078, CVE-2011-0080:
        Miscellaneous memory safety hazards (rv:2.0.1/ 1.9.2.17/ 1.9.1.19)
      - MFSA 2011-13 aka CVE-2011-0065, CVE-2011-0066, CVE-2011-0073:
        Multiple dangling pointer vulnerabilities
      - MFSA 2011-14 aka CVE-2011-0067: Information stealing via form history
      - MFSA 2011-16 aka CVE-2011-0071: Directory traversal in resource:
        protocol
  * [51a3ea8] gfx/ots/include/opentype-sanitiser.h: strict alignment issues
    when displaying OpenType font. Patch taken from icedove.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 08 May 2011 12:24:58 +0200

iceowl (1.0~b1+dfsg2-2+squeeze1) stable-proposed-updates; urgency=low

  * [b5181a9] backported patches from xulrunner fixes mfsa2011-{01-08,10}
    - MFSA 2011-01 aka CVE-2011-0053: Miscellaneous memory safety hazards
      (rv:1.9.2.14/ 1.9.1.17)
    - MFSA 2011-02 aka CVE-2011-0051: Recursive eval call causes confirm
      dialogs to evaluate to true
    - MFSA 2011-03 aka CVE-2011-0055: Use-after-free error in JSON.stringify
    - MFSA 2011-04 aka CVE-2011-0054: Buffer overflow in JavaScript upvarMap
    - MFSA 2011-05 aka CVE-2011-0056: Buffer overflow in JavaScript atom map
    - MFSA 2011-06 aka CVE-2011-0057: Use-after-free error using Web Workers
    - MFSA 2011-07 aka CVE-2011-0058: Memory corruption during text run
      construction (Windows)
    - MFSA 2011-08 aka CVE-2010-1585: ParanoidFragmentSink allows javascript:
      URLs in chrome documents
    - MFSA 2011-10 aka CVE-2011-0059: CSRF risk with plugins and 307 redirects
    Patches taken from icedove 3.0.11-1+squeeze1

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Mar 2011 19:36:07 +0100

iceowl (1.0~b1+dfsg2-2) unstable; urgency=low

  * [528ae26] Don't error-out when run-time libsqlite is older than build-time
    libsqlite.  In Debian, we have shlibs to handle this. This is the same
    patch as used in iceweasel and icedove. (Closes: #611602)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Jan 2011 08:39:07 +0100

iceowl (1.0~b1+dfsg2-1) unstable; urgency=low

  * [d96a5b0] New upstream version based on icedove 3.0.11 this fixes the
    following security bugs:
     - MFSA 2010-74 aka CVE-2010-3776, CVE-2010-3778: Miscellaneous memory
       safety hazards (rv:1.9.2.13/ 1.9.1.16)
     - MFSA 2010-75 aka CVE-2010-3769: Buffer overflow while line breaking
       after document.write with long string
     - MFSA 2010-78 aka CVE-2010-3768: Add support for OTS font sanitizer
     - MFSA 2010-73 aka CVE-2010-3765: Heap buffer overflow mixing
       document.write and DOM insertion
     - MFSA 2010-64 aka CVE-2010-3174, CVE-2010-3176: Miscellaneous memory
       safety hazards (rv:1.9.2.11/ 1.9.1.14)
     - MFSA 2010-65 aka CVE-2010-3179: Buffer overflow and memory corruption
       using document.write
     - MFSA 2010-66 aka CVE-2010-3180: Use-after-free error in nsBarProp
     - MFSA 2010-67 aka CVE-2010-3183: Dangling pointer vulnerability in
       LookupGetterOrSetter
     - MFSA 2010-69 aka CVE-2010-3178: Cross-site information disclosure via
       modal calls
     - MFSA 2010-71 aka CVE-2010-3182: Unsafe library loading vulnerabilities
     - MFSA 2010-49 aka CVE-2010-3169: Miscellaneous memory safety hazards
       (rv:1.9.2.9/ 1.9.1.12)
     - MFSA 2010-50 aka CVE-2010-2765: Frameset integer overflow vulnerability
     - MFSA 2010-51 aka CVE-2010-2767: Dangling pointer vulnerability using DOM
       plugin array
     - MFSA 2010-53 aka CVE-2010-3166: Heap buffer overflow in
       nsTextFrameUtils::TransformText
     - MFSA 2010-54 aka CVE-2010-2760: Dangling pointer vulnerability in
       nsTreeSelection
     - MFSA 2010-55 aka CVE-2010-3168: XUL tree removal crash and remote code
       execution
     - MFSA 2010-56 ala CVE-2010-3167: Dangling pointer vulnerability in
       nsTreeContentView
     - MFSA 2010-57 aka CVE-2010-2766: Crash and remote code execution in
       normalizeDocument
     - MFSA 2010-60 aka CVE-2010-2763: XSS using SJOW scripted function
     - MFSA 2010-61 aka CVE-2010-2768: UTF-7 XSS by overriding document charset
       using <object> type attribute
     - MFSA 2010-62 aka CVE-2010-2769: Copy-and-paste or drag-and-drop into
       designMode document allows XSS
     - MFSA 2010-63 aka CVE-2010-2764: Information leak via XMLHttpRequest
       statusText
     - MFSA 2010-34 aka CVE-2010-1211, CVE-2010-1212: Miscellaneous memory
       safety hazards (rv:1.9.2.7/ 1.9.1.11)
     - MFSA 2010-39 aka CVE-2010-2752: nsCSSValue::Array index integer overflow
     - MFSA 2010-40 aka CVE-2010-2753: nsTreeSelection dangling pointer remote
       code execution vulnerability
     - MFSA 2010-41 aka CVE-2010-1205: Remote code execution using malformed
       PNG image
     - MFSA 2010-42 aka CVE-2010-1213: Cross-origin data disclosure via Web
       Workers and importScripts
     - MFSA 2010-46 aka CVE-2010-0654: Cross-domain data theft using CSS
     - MFSA 2010-47 aka CVE-2010-2754: Cross-origin data leakage from script
       filename in error messages
     - MFSA 2010-25 aka CVE-2010-1121: Re-use of freed object due to scope
       confusion
     - MFSA 2010-26 aka CVE-2010-1200, CVE-2010-1201, CVE-2010-1202: Crashes
       with evidence of memory corruption (rv:1.9.2.4/ 1.9.1.10)
     - MFSA 2010-29 aka CVE-2010-1196: Heap buffer overflow in
       nsGenericDOMDataNode::SetTextInternal
     - MFSA 2010-30 aka CVE-2010-1199: Integer Overflow in XSLT Node Sorting
     - MFSA 2010-16 aka CVE-2010-0173, CVE-2010-0174: Crashes with evidence of
       memory corruption (rv:1.9.2.2/ 1.9.1.9/ 1.9.0.19)
     - MFSA 2010-17 aka CVE-2010-0175: Remote code execution with
       use-after-free in nsTreeSelection

