=== debian/control ===
Source: iceowl
Section: web
Priority: optional
Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends: bzip2, debhelper (>= 5), patchutils (>= 0.2.25), cdbs (>= 0.4.27), libx11-dev, libxt-dev, libgtk2.0-dev (>= 2.8), zlib1g-dev, liborbit2-dev, libidl-dev (>= 0.8.0), zip, libxft-dev, libfreetype6-dev, libpng12-dev, libjpeg62-dev, libxrender-dev, libxinerama-dev, libcairo2-dev, libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev, sharutils, m4, binutils (>= 2.17) [mips mipsel], libhunspell-dev, libthai-dev, libnss3-dev, libnspr4-dev, imagemagick, unzip,
 lsb-release,
 libdbus-glib-1-dev,
 libasound2-dev,
 libsqlite3-dev (>= 3.6.22),
 libbz2-dev,
 python-ply
Vcs-Git: git://git.debian.org/pkg-mozilla/iceowl.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceowl.git;a=summary
Standards-Version: 3.9.1

Package: calendar-timezones
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Timezone Extension for Sunbird/Iceowl (mandatory)
 This Timezone provides timezone data for Sunbird and the Iceowl/Lightning
 extension. It's an essential component if you want to use all
 calendaring features.

Package: iceowl-extension
Architecture: any
Depends: icedove (>= 3.0.1) | thunderbird (>= 3.0.1),
 calendar-timezones (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: calendar-google-provider
Suggests: latex-xft-fonts
Description: Calendar Extension for Thunderbird/Icedove
 Iceowl Extension is a Calendar extension for Thunderbird
 and Icedove based on iceowl - the Mozilla Based Standalone
 Calendar application.

Package: calendar-google-provider
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Google Calendar support for lighting- and iceowl-extension
 Google Calendar support extension for the Iceowl/Lightning extension. It's a
 recommended component if you want to connect to your google calendar.

Package: iceowl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 calendar-timezones (= ${binary:Version})
Recommends: calendar-google-provider
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.

Package: iceowl-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, iceowl (= ${binary:Version})
Suggests: libglib2.0-0-dbg, libgtk2.0-0-dbg
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.
 .
 This package contains the debugging symbols.
