=== debian/watch ===
version=3

opts=uversionmangle=s/\.b(\d+)/~b$1/;s/\.rc(\d+)/~rc$1/ \
  http://releases.mozilla.org/pub/mozilla.org/calendar/lightning/releases/(\d+\.[\d\.]+)(b\d+)?(rc\d+)?/source/lightning-(\d+\.[\d\.]+)(b\d+)?(rc\d+)?.source\.tar\.bz2
