## iceowl 1.0~b2

=== debian/changelog ===
iceowl (1.0~b2-7) unstable; urgency=low

  * [bae8711] debian/watch: strip trailing dot if rc or part is empty
  * [a6ea98f] Remove extensions now shiped by icedove (Closes: #654828)
  * [0ee8fb1] Set myself as maintainer. Thanks Alexander for your work on the
    package.
  * [67039b7] Build-Depend on libjpeg-dev instead of libjpeg62-dev
    (Closes: #643315)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Jan 2012 15:20:49 +0100

iceowl (1.0~b2-6) unstable; urgency=low

  * [cecd0a6] Fix compilation with gcc 4.6 (Closes: #625026)
  * [5227f90] Look for gtk+ and gdk when building with libnotify
  * [5e875a4] libnotify 0.7 API change
  * [ee403dd] Update configure to reflect configure.in changes from other
    patches
  * [2416e24] Suggest ttf-lyx instead of latex-xft-fonts (Closes: #539536)
  * [a31fae3] Override embedded libtheora lintian error
  * [0e63742] Bump standards version
  * [05df882] Don't ignore errors in postinst

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2011 23:43:50 +0200

iceowl (1.0~b2-5) unstable; urgency=low

  * [c71cc11] The extension needs at least icedove >= 3.1.0 (Closes: #622573)
  * [0b6cf07] Add back Debian menu entry (Closes: #621084)
  * [e3abf2c] New patch GNU-Hurd-doesn-t-provide-SA_SIGINFO-in-signal.h.patch
    to fix build on GNU/Hurd. Heavily based on a patch from Christoph Göhre
    and Samuel Thibault.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 16 Apr 2011 15:35:28 +0200

iceowl (1.0~b2-4) unstable; urgency=low

  * Upload to unstable
  * [0cf4a1e] New patch to enable intl.locale.matchOS
    and report the locale correctly taken from Icedove. Based on a patch from
    Icedove.
  * [5b7562f] Don't error-out when run-time libsqlite is older than build-time
    libsqlite.  In Debian, we have shlibs to handle this. This is the same
    patch as used in iceweasel and icedove. (Closes: #611602)
  * [e4d4d6e] Drop numbers from patch names and use subdirs
  * [e117ccf] New patch Reduce-credits-box-height.patch: Reduce credits box
    height to avoid ugly scrollbars
  * [8eb2071] New patch Unbreak-extensions-URL.patch: fixes extension lookup
    (Closes: #436567)
  * [3af7d56] Don't build against the internal libbz2 copy
  * [ff59f71] Add security update notice to README.Debian
  * [494628a] Use Iceowl instead of "Calendar (TM)"

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Apr 2011 18:04:01 +0200

iceowl (1.0~b2-3) experimental; urgency=low

  * [26231e8] New patch 0018-Fix-reconnect-to-previously-failed-
    calendar.patch. Fix reconnect to previously failed calendar 
    (Closes: #600680) - thanks to Alex Opie
  * [966ae9e] Drop uudecoding of images. Source format 3 supports this
    natively.
  * [ee22fd4] Replace icons by nicer versions from
    http://markcarson.com/markcarson/asp/sunbirdicons.asp
  * [d02da35] Symlink and install icon files
  * [19afd90] Slightly improve about dialog
  * [8cba4b1] iceowl.desktop: Fix typo
  * [103b89c] New patch 0019-Fix-startup-problem-with-symlinked-
    components-e.g.-e.patch: Fix startup problem with symlinked components
    (e.g. extensions). Patch taken from Icedove.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Nov 2010 21:04:44 +0100

iceowl (1.0~b2-2) experimental; urgency=low

  * [183b772] Bump version number to 1.0b2
  * [a5cb164] New patch 0016-Change-parameter-type-of-JS_-CEILING-FLOOR-
    _LOG2W-an.patch. Change parameter type of JS_{CEILING,FLOOR}_LOG2W
    and js_FloorLog2wImpl to be JSSize - thanks to Mike Hommey
  * [bb5d085] New patch 0017-Add-nanojit-support-for-ARMv4T.patch. Add
    nanojit support for ARMv4T - thanks to Mike Hommey

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Aug 2010 10:14:43 +0200

iceowl (1.0~b2-1) experimental; urgency=low

  * [a8de458] Switch to source format 3.0 (quilt)
  * [a90e155] New upstream version 1.0b2 (Closes: #587539)
  * [b92405c] Add watch file
  * [6f3d0ae] Builddepend on libnotify-dev
  * [3e40a37] Disable necko-wifi
  * [ceeebd0] Set --with-static-email so static linking works
  * [a4a8eba] Redo patches.Dropped patches, fixed upstream:
        - 0001-upstream_533070.patch
        - 0005-Don-t-hardcode-binary-name.patch
  * [37e33be] New patch
    0012-Fix-for-padding-of-long-long-arguments-on-ppc-xptcal.patch. Fix for
    padding of long long arguments on ppc xptcall - thanks to Mike Hommey
  * [2800535] New patch 0013-Support-Renesas-SH-sh4.patch. Support Renesas
    SH(sh4) (Closes: #579325)
  * [751be4f] New patch 0014-xpcom-PowerPC-lnx-add-support-for-soft-
    float.patch xpcom/PowerPC lnx: add support for soft-float (Closes:
    #592074) - thanks to Sebastian Andrzej Siewior

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Aug 2010 14:45:43 +0200
