=== debian/control ===
Source: iceowl
Section: web
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: bzip2, debhelper (>= 5), patchutils (>= 0.2.25), cdbs (>= 0.4.27), libx11-dev, libxt-dev, libgtk2.0-dev (>= 2.8), zlib1g-dev, liborbit2-dev, libidl-dev (>= 0.8.0), zip, libxft-dev, libfreetype6-dev, libpng12-dev, libxrender-dev, libxinerama-dev, libcairo2-dev, libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev, sharutils, m4, binutils (>= 2.17) [mips mipsel], libhunspell-dev, libthai-dev, libnss3-dev, libnspr4-dev, imagemagick, unzip,
 lsb-release,
 libdbus-glib-1-dev,
 libasound2-dev,
 libsqlite3-dev (>= 3.6.22),
 libnotify-dev (>= 0.7),
 libbz2-dev,
 libjpeg-dev
Vcs-Git: git://git.debian.org/pkg-mozilla/iceowl.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceowl.git;a=summary
Standards-Version: 3.9.2

Package: iceowl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, calendar-timezones (>= 8.0)
Recommends: calendar-google-provider
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.

Package: iceowl-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, iceowl (= ${binary:Version})
Suggests: libglib2.0-0-dbg, libgtk2.0-0-dbg
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.
 .
 This package contains the debugging symbols.
