=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,6 @@
 endif
 
 DEB_MOZ_NAME=iceowl
-XUL_VERSION=1.9.1
-
 
 DEB_CONFIGURE_USER_FLAGS= \
         --host=$(DEB_HOST_GNU_TYPE) \
@@ -49,7 +47,9 @@
 	--with-system-nss \
 	--enable-gnomevfs \
 	--enable-system-sqlite \
+	--disable-necko-wifi \
 	--enable-static \
+	--enable-static-mail \
 	--disable-shared \
 	--disable-debug \
         --build=$(DEB_BUILD_GNU_TYPE) \
@@ -57,18 +57,7 @@
 	--with-distribution-id=org.debian
 
 
-UUDECODE = \
-	debsearch.gif \
-	wikipedia.gif \
-	$(NULL)
-
 common-install-arch::
-	set -e; mkdir -p debian/iceowl-extension/usr/lib/iceowl-extension \
-		debian/calendar-google-provider/usr/lib/calendar-google-provider \
-		debian/calendar-timezones/usr/lib/calendar-timezones; \
-		sh -c "set -e; cd debian/iceowl-extension/usr/lib/iceowl-extension/; unzip $(CURDIR)/mozilla/dist/xpi-stage/lightning.xpi"; \
-		sh -c "set -e; cd debian/calendar-google-provider/usr/lib/calendar-google-provider/; unzip $(CURDIR)/mozilla/dist/xpi-stage/gdata-provider.xpi"; \
-		sh -c "set -e; cd debian/calendar-timezones/usr/lib/calendar-timezones/; unzip $(CURDIR)/mozilla/dist/xpi-stage/calendar-timezones.xpi"
 	make -C calendar/installer install DESTDIR=$(CURDIR)/debian/tmp
 
 
@@ -79,10 +68,6 @@
 post-patches:: debian/stamp-iceowl-branding
 debian/stamp-iceowl-branding:
 	cp -af debian/iceowl-branding/* $(BRANDING_DIR)
-	for uue in `find $(BRANDING_DIR) -name '*.uu'`; do \
-		(cd `dirname $$uue` ; uudecode `basename $$uue`); rm $$uue; \
-	done
-	cp debian/preview.png calendar/sunbird/base/themes/winstripe/
 	touch $@
 
 CFLAGS=-g
